Subject: FABA Meeting Tallahassee 4/8/95

From: [email-masked] (Valenti665)
Date: 5 Apr 1995 13:23:34 -0400

There will be a great statewide meeting of FABA (Fla. Artist Blacksmith
Association) this comming weekend outside Tallahassee, Fla  with classes,
demonstrations,  sales, trading of tools, and etc..  Anyone interested
should E-mail me or call me for directions at 904-656-0179.  It will start
about 9 and run till 4 or so.  There is also a mountain man rendevous with
smiths and other period crafts people a few miles away;  it is going on
now and will continue thru Sunday.    Jeff in Tally